Bug 243234 - SCIM could not be started after updated from fc6 to f7.
SCIM could not be started after updated from fc6 to f7.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 00:22 EDT by Caius Chance
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 05:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2007-06-08 00:22:18 EDT
Description of problem:
SCIM could not be started after updated from fc6 to f7.

Version-Release number of selected component (if applicable):


How reproducible:
Unknown.

Steps to Reproduce:
1. Prepare a FC6 box with latest package updates and SCIM(scim-bridge) usable.
2. Login gnome in any locale which SCIM turned on by default in FC6 (I tested on
ja_JP).
3. Install fedora-release:
http://download.fedora.redhat.com/pub/fedora/linux/releases/7/Fedora/i386/os/Fedora/fedora-release-7-3.noarch.rpm
4. Open gnome-terminal: Alt-F2 -> 'gnome-terminal'.
5. Gain root access: 'su -'.
6. Update fc6 into f7 via yum: 'yum update -y'.
7. Reboot system after update is finished.
  
Actual results:
- If login in any locale which SCIM turned on by default, the whole system is
laggy when any input field is focus or automatically being focused.

- If login in any locale which SCIM turned OFF by default (or turn that off
manually), the whole system is running fine. However, when input
'GTK_IM_MODULE=scim-bridge gedit', the console prints out messages about scim
starting and looping with message "Failed to initialize Panel Agent!". Finally,
gedit is either started without SCIM or it is even not started.


Expected results:
SCIM usable in locale that needs SCIM.

Additional info:
I have follow the steps mentioned on this page and resolved the problem
manually: http://www.geocities.jp/ep3797/mandriva_01_css.html

<quote>
GTK2 アプリがなかなか起動しない
ユーザの ID を変更すると
"Failed to initialize Panel Agent!" と表示されて
GTK2 アプリが起動しなくなることがあります。
この場合は次のようにしてください。
# rm -rf /tmp/gconfd-(username)/
# rm -f /tmp/scim-panel-socket-(username)
</quote>

i.e. removing /tmp/gconfd-(username)/ and /tmp/scim-panel-socket-(username)
directories.
Comment 3 Jens Petersen 2007-06-08 03:18:07 EDT
I tested upgrading from FC6 GA to F7 with anaconda just before F7
was released and didn't see any problems.

Can you reproduce this from a fresh install (+ upgrades if necessary)?
Comment 5 Caius Chance 2007-06-18 21:02:03 EDT
FYI, it might be partially consistent to this: bug# 228196.
Comment 6 Jens Petersen 2007-06-18 21:06:23 EDT
Do you think it is related to scim-chewing?
Comment 8 Jens Petersen 2007-06-21 05:33:10 EDT
Closing for now.  Please feel free to reopen if you find out more info.

Note You need to log in before you can comment on or make changes to this bug.